Class | NQXML::Node
In: | xmlrpc/parser.rb
Parent: | Object

### Methods

[] childNodes hasChildNodes nodeName nodeType nodeValue removeChild

### Public Instance methods

[](index)

[Source]

    # File xmlrpc/parser.rb, line 28
        def [] (index)
          @children[index]
        end

childNodes()

[Source]

    # File xmlrpc/parser.rb, line 22
        def childNodes
          @children
        end

hasChildNodes()

[Source]

    # File xmlrpc/parser.rb, line 25
        def hasChildNodes
          not @children.empty?
        end

nodeName()

[Source]

    # File xmlrpc/parser.rb, line 45
        def nodeName
          #TODO: error when wrong Entity-type
          @entity.name
        end

nodeType()

[Source]

    # File xmlrpc/parser.rb, line 32
        def nodeType
          if @entity.instance_of? NQXML::Text then :TEXT
          elsif @entity.instance_of? NQXML::Comment then :COMMENT
          #elsif @entity.instance_of? NQXML::Element then :ELEMENT
          elsif @entity.instance_of? NQXML::Tag then :ELEMENT
          else :ELSE
          end
        end

nodeValue()

[Source]

    # File xmlrpc/parser.rb, line 41
        def nodeValue
          #TODO: error when wrong Entity-type
          @entity.text
        end

removeChild(node)

[Source]

    # File xmlrpc/parser.rb, line 19
        def removeChild(node)
          @children.delete(node)
        end

[Validate]